Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7975 - mountd: memory/xtab grows without bound
Summary: mountd: memory/xtab grows without bound
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: knfsd
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 18:39 UTC by Robert Millner
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 02:49:15 UTC


Attachments (Terms of Use)

Description Robert Millner 1999-12-23 18:39:21 UTC
Running something like:

mkdir -p /mnt/nfs
while true
do
    if mount server:/path /mnt/nfs
    then
        find /mnt/nfs &> /dev/null
        umount /mnt/nfs
    else
        break
    fi
done

causes xtab to fill with identical entries.  Rpc.mountd's memory usage
grows without bound.  I suspect that (though I should do some more
debugging to be sure) that mountd is allocating a structure and stamping an
entry into xtab but never de-allocating that structure when unmounted.  I
have no idea if its proper behavior to have xtab behave that way but its
really silly to me.

This happens with knfsd-1.4.7-7 and kernel-2.2.12-20 (SMP) as well as our
in-house 2.2.13 kernel RPM.

Comment 1 Cristian Gafton 2000-02-05 02:48:59 UTC
I suspect that this is a problem in glibc's nss modules. Try disabling the
nisplus service from /etc/nsswitch.conf

The glibc bug is fioxed in the current rawhide


Note You need to log in before you can comment on or make changes to this bug.